/*                             */
/*  system parameters		*/
/*  ==================         */
/*                             */

#define	FALSE	0
#define	TRUE	1

#ifdef	BIG
#define	NRNODES		192	/* Number of nodes */
#define	NPROC		32	/* Maximum number of processes */
#define	MUPRC		12	/* Maximum number of processes for a user */
#define	NCOREL		2048	/* Number of pages of memory - for page table*/
#define	NCLIST		64	/* Number of clists */
#define	NCALL		16	/* Number of entries in callout table */
#else
#define	NRNODES		128	/* Number of nodes in the system */
#define	NPROC		20	/* Maximum number of processes */
#define	MUPRC		8	/* Max number of processes for a user */
#define	NCOREL		512	/* Number of pages of memory-for page table */
#define	NCLIST		32	/* Number of clists */
#define	NCALL		8	/* Number of entries in callout table */
#endif

#define	NOFILE		24	/* Number of lu-s per process */

#define	NULL	0		/* NULL pointer */

#define	NPRILEV	16		/* Number of priority levels */
#define	HPRINSU	4		/* Highes priority level for non super */
#define	PRIINIT	3		/* Priority of init process */

#define	NSIG	17		/* Number of signals */
#define	MASKSIG 0x7fffL		/* Mask for signal bit vector */

#define	MNCARGS	5120		/* Maximum number of characters in exec arguments */

/*
 *	Timeslice = Slice * 2 ** min(4,dympri-maxpri)
 *	For the time beeing we set it to Slice
 */
#define	TIMESLICE(dm)	(Slice)  

